libglom-1.32 1.32.0

Public Member Functions | Public Attributes | List of all members
Glom::GroupInfo Class Reference
Inheritance diagram for Glom::GroupInfo:
[legend]
Collaboration diagram for Glom::GroupInfo:
[legend]

## Public Member Functions
| GroupInfo ()
| GroupInfo (const GroupInfo& src)=default
| GroupInfo (GroupInfo&& src)=default
GroupInfo& | operator= (const GroupInfo& src)=default
GroupInfo& | operator= (GroupInfo&& src)=default
bool | operator== (const GroupInfo& src) const
bool | operator!= (const GroupInfo& src) const
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem () noexcept
| TranslatableItem (const TranslatableItem& src)=default
| TranslatableItem (TranslatableItem&& src)=default
virtual | ~TranslatableItem ()=default
TranslatableItem& | operator= (const TranslatableItem& src)=default
TranslatableItem& | operator= (TranslatableItem&& src)=default
bool | operator== (const TranslatableItem& src) const noexcept
bool | operator!= (const TranslatableItem& src) const noexcept
virtual void | set_name (const Glib::ustring& name) noexcept
| Set the non-translated identifier name. More...
virtual Glib::ustring | get_name () const noexcept
| Get the non-translated identifier name. More...
bool | get_name_not_empty () const noexcept
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const noexcept
virtual Glib::ustring | get_title (const Glib::ustring& locale) const noexcept
| Get the title's translation for the specified locale, falling back to the original text if there is no translation. More...
virtual Glib::ustring | get_title_original () const noexcept
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const noexcept
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original. More...
void | set_title (const Glib::ustring& title, const Glib::ustring& locale) noexcept
| Set the title's translation for the specified locale. More...
void | set_title_original (const Glib::ustring& title) noexcept
| Set the title's original (non-translated, usually English) text. More...
void | clear_title_in_all_locales () noexcept
| Clear the original title and any translations of the title. More...
bool | get_has_translations () const noexcept
enumTranslatableItemType | get_translatable_item_type () const noexcept

## Public Attributes
bool | m_developer
std::unordered_map< Glib::ustring, Privileges, std::hash< std::string > > | m_map_privileges

## Additional Inherited Members
Public Types inherited from Glom::TranslatableItem
enum | enumTranslatableItemType { enumTranslatableItemType::INVALID, enumTranslatableItemType::FIELD, enumTranslatableItemType::RELATIONSHIP, enumTranslatableItemType::LAYOUT_ITEM, enumTranslatableItemType::CUSTOM_TITLE, enumTranslatableItemType::PRINT_LAYOUT, enumTranslatableItemType::REPORT, enumTranslatableItemType::TABLE, enumTranslatableItemType::BUTTON, enumTranslatableItemType::TEXTOBJECT, enumTranslatableItemType::IMAGEOBJECT, enumTranslatableItemType::CHOICEVALUE, enumTranslatableItemType::DATABASE_TITLE, enumTranslatableItemType::STATIC_TEXT }
typedef std::unordered_map< Glib::ustring, Glib::ustring, std::hash< std::string > > | type_map_locale_to_translations
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type) noexcept
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type) noexcept
| The non-translated name is used for the context in gettext .po files. More...
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Constructor & Destructor Documentation

## ◆ GroupInfo() [1/3]

Glom::GroupInfo::GroupInfo | ( |  | ) |

## ◆ GroupInfo() [2/3]

Glom::GroupInfo::GroupInfo | ( | const GroupInfo& | src | ) |
| default

## ◆ GroupInfo() [3/3]

Glom::GroupInfo::GroupInfo | ( | GroupInfo&& | src | ) |
| default

## Member Function Documentation

## ◆ operator!=()

bool Glom::GroupInfo::operator!= | ( | const GroupInfo& | src | ) | const

## ◆ operator=() [1/2]

GroupInfo& Glom::GroupInfo::operator= | ( | const GroupInfo& | src | ) |
| default

## ◆ operator=() [2/2]

GroupInfo& Glom::GroupInfo::operator= | ( | GroupInfo&& | src | ) |
| default

## ◆ operator==()

bool Glom::GroupInfo::operator== | ( | const GroupInfo& | src | ) | const

## Member Data Documentation

## ◆ m_developer

bool Glom::GroupInfo::m_developer

## ◆ m_map_privileges

std::unordered_map<Glib::ustring, Privileges, std::hash<std::string> > Glom::GroupInfo::m_map_privileges

The documentation for this class was generated from the following file:

- libglom/data_structure/groupinfo.h